> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/itineraries-travelers.md).

# Itineraries Travelers

## GET /V2/{tenantVarCode}/itineraries/{itineraryId}/travelers

> Returns a list of travelers for the itinerary

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Itineraries - Travelers"}],"paths":{"/V2/{tenantVarCode}/itineraries/{itineraryId}/travelers":{"get":{"tags":["Itineraries - Travelers"],"summary":"Returns a list of travelers for the itinerary","operationId":"GetTravelers","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"itineraryId","in":"path","description":"Itinerary Id","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Traveler"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Traveler"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Traveler"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Traveler"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Traveler"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Traveler"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Traveler"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Traveler"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Traveler"}}}}}}}}},"components":{"schemas":{"Traveler":{"required":["EmailAddress","Firstname","Lastname","PhoneNumber"],"type":"object","properties":{"Id":{"type":"integer","description":"A unique identifier of the traveler","format":"int32"},"EmailAddress":{"minLength":1,"type":"string","description":"Email address"},"Firstname":{"minLength":1,"type":"string","description":"First name"},"Lastname":{"minLength":1,"type":"string","description":"Last name"},"DateOfBirth":{"type":"string","description":"Date of birth","format":"date-time","nullable":true},"PhoneNumber":{"minLength":1,"type":"string","description":"Phone number"},"Citizenship":{"type":"string","description":"Read only Gap user citizenship","nullable":true},"Address":{"type":"string","description":"Read only Gap user address","nullable":true},"CityStatePostalCode":{"type":"string","description":"Read only Gap user city, state, postal code","nullable":true},"Country":{"type":"string","description":"Read only Gap user country","nullable":true},"PhoneNumbersAll":{"type":"string","description":"Read only Gap user phone numbers","nullable":true},"EmergencyContact1":{"type":"string","description":"Read only Gap user first emergency contact","nullable":true},"EmergencyContact2":{"type":"string","description":"Read only Gap user second emergency contact","nullable":true}},"additionalProperties":false}}}}
```

## POST /V2/{tenantVarCode}/itineraries/{itineraryId}/travelers

> Creates a new traveler associated with a GAP user

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Itineraries - Travelers"}],"paths":{"/V2/{tenantVarCode}/itineraries/{itineraryId}/travelers":{"post":{"tags":["Itineraries - Travelers"],"summary":"Creates a new traveler associated with a GAP user","operationId":"PostTraveler","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"itineraryId","in":"path","description":"Itinerary Id","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Traveler","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Traveler"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/Traveler"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/Traveler"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Traveler"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Traveler"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Traveler"}},"text/json":{"schema":{"$ref":"#/components/schemas/Traveler"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Traveler"}},"text/xml":{"schema":{"$ref":"#/components/schemas/Traveler"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/Traveler"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"Traveler":{"required":["EmailAddress","Firstname","Lastname","PhoneNumber"],"type":"object","properties":{"Id":{"type":"integer","description":"A unique identifier of the traveler","format":"int32"},"EmailAddress":{"minLength":1,"type":"string","description":"Email address"},"Firstname":{"minLength":1,"type":"string","description":"First name"},"Lastname":{"minLength":1,"type":"string","description":"Last name"},"DateOfBirth":{"type":"string","description":"Date of birth","format":"date-time","nullable":true},"PhoneNumber":{"minLength":1,"type":"string","description":"Phone number"},"Citizenship":{"type":"string","description":"Read only Gap user citizenship","nullable":true},"Address":{"type":"string","description":"Read only Gap user address","nullable":true},"CityStatePostalCode":{"type":"string","description":"Read only Gap user city, state, postal code","nullable":true},"Country":{"type":"string","description":"Read only Gap user country","nullable":true},"PhoneNumbersAll":{"type":"string","description":"Read only Gap user phone numbers","nullable":true},"EmergencyContact1":{"type":"string","description":"Read only Gap user first emergency contact","nullable":true},"EmergencyContact2":{"type":"string","description":"Read only Gap user second emergency contact","nullable":true}},"additionalProperties":false}}}}
```

## GET /V2/{tenantVarCode}/itineraries/{itineraryId}/travelers/{travelerId}

> Returns a specific traveler

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Itineraries - Travelers"}],"paths":{"/V2/{tenantVarCode}/itineraries/{itineraryId}/travelers/{travelerId}":{"get":{"tags":["Itineraries - Travelers"],"summary":"Returns a specific traveler","operationId":"GetTraveler","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"itineraryId","in":"path","description":"Itinerary Id","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"travelerId","in":"path","description":"Traveler Id","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Traveler"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/Traveler"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/Traveler"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Traveler"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Traveler"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/Traveler"}},"text/json":{"schema":{"$ref":"#/components/schemas/Traveler"}},"text/xml":{"schema":{"$ref":"#/components/schemas/Traveler"}}}}}}}},"components":{"schemas":{"Traveler":{"required":["EmailAddress","Firstname","Lastname","PhoneNumber"],"type":"object","properties":{"Id":{"type":"integer","description":"A unique identifier of the traveler","format":"int32"},"EmailAddress":{"minLength":1,"type":"string","description":"Email address"},"Firstname":{"minLength":1,"type":"string","description":"First name"},"Lastname":{"minLength":1,"type":"string","description":"Last name"},"DateOfBirth":{"type":"string","description":"Date of birth","format":"date-time","nullable":true},"PhoneNumber":{"minLength":1,"type":"string","description":"Phone number"},"Citizenship":{"type":"string","description":"Read only Gap user citizenship","nullable":true},"Address":{"type":"string","description":"Read only Gap user address","nullable":true},"CityStatePostalCode":{"type":"string","description":"Read only Gap user city, state, postal code","nullable":true},"Country":{"type":"string","description":"Read only Gap user country","nullable":true},"PhoneNumbersAll":{"type":"string","description":"Read only Gap user phone numbers","nullable":true},"EmergencyContact1":{"type":"string","description":"Read only Gap user first emergency contact","nullable":true},"EmergencyContact2":{"type":"string","description":"Read only Gap user second emergency contact","nullable":true}},"additionalProperties":false}}}}
```

## DELETE /V2/{tenantVarCode}/itineraries/{itineraryId}/travelers/{travelerId}

> Deletes a specific traveler

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Itineraries - Travelers"}],"paths":{"/V2/{tenantVarCode}/itineraries/{itineraryId}/travelers/{travelerId}":{"delete":{"tags":["Itineraries - Travelers"],"summary":"Deletes a specific traveler","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"itineraryId","in":"path","description":"Itinerary Id","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"travelerId","in":"path","description":"Traveler Id","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}}}}
```
